config/routes.rb
Rails.application.routes.draw do
  get 'welcome/index'

  resources :offices
  resources :associates
  resources :admins
  devise_for :users
  resources :projects
	resources :members
  root to: 'welcome#index'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/associate.rb
class Associate < ApplicationRecord
end

app/controllers/associates_controller.rb
class AssociatesController < ApplicationController
  before_action :set_associate, only: [:show, :edit, :update, :destroy]
  before_action :authenticate_user!

  # GET /associates
  # GET /associates.json
  def index
    @associates = Associate.all
  end

  # GET /associates/1
  # GET /associates/1.json
  def show
  end

  # GET /associates/new
  def new
    @associate = Associate.new
  end

  # GET /associates/1/edit
  def edit
  end

  # POST /associates
  # POST /associates.json
  def create
    @associate = Associate.new(associate_params)

    respond_to do |format|
      if @associate.save
        format.html { redirect_to @associate, notice: 'Associate was successfully created.' }
        format.json { render :show, status: :created, location: @associate }
      else
        format.html { render :new }
        format.json { render json: @associate.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /associates/1
  # PATCH/PUT /associates/1.json
  def update
    respond_to do |format|
      if @associate.update(associate_params)
        format.html { redirect_to @associate, notice: 'Associate was successfully updated.' }
        format.json { render :show, status: :ok, location: @associate }
      else
        format.html { render :edit }
        format.json { render json: @associate.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /associates/1
  # DELETE /associates/1.json
  def destroy
    @associate.destroy
    respond_to do |format|
      format.html { redirect_to associates_url, notice: 'Associate was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_associate
      @associate = Associate.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def associate_params
      params.require(:associate).permit(:nome, :email, :cargo, :saldo)
    end
end

app/helpers/associates_helper.rb
module AssociatesHelper
end

app/views/associates/_form.html.erb
<%= form_with(model: associate, local: true) do |form| %>
  <% if associate.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(associate.errors.count, "error") %> prohibited this associate from being saved:</h2>

      <ul>
      <% associate.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :nome %>
    <%= form.text_field :nome, id: :associate_nome %>
  </div>

  <div class="field">
    <%= form.label :email %>
    <%= form.text_field :email, id: :associate_email %>
  </div>

  <div class="field">
    <%= form.label :cargo %>
    <%= form.text_field :cargo, id: :associate_cargo %>
  </div>

  <div class="field">
    <%= form.label :saldo %>
    <%= form.text_field :saldo, id: :associate_saldo %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/associates/edit.html.erb
<h1>Editing Associate</h1>

<%= render 'form', associate: @associate %>

<%= link_to 'Show', @associate %> |
<%= link_to 'Back', associates_path %>

app/views/associates/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Membros</h1>

<table>
  <thead>
    <tr>
      <th>Nome</th>
      <th>Email</th>
      <th>Cargo</th>
      <th>Saldo</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @associates.each do |associate| %>
      <tr>
        <td><%= associate.nome %></td>
        <td><%= associate.email %></td>
        <td><%= associate.cargo %></td>
        <td><%= associate.saldo %></td>
        <td><%= link_to 'Show', associate,  class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary" %></td>
        <td><%= link_to 'Edit', edit_associate_path(associate),  class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary" %></td>
        <td><%= button_to 'Destroy', associate,  class: "btn btn-round btn-primarybtn btn-round btn-primarybtn btn-round btn-primary", method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Member', new_associate_path, class: "btn btn-primary" %>

app/views/associates/new.html.erb
<h1>New Associate</h1>

<%= render 'form', associate: @associate %>

<%= link_to 'Back', associates_path %>

app/views/associates/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Nome:</strong>
  <%= @associate.nome %>
</p>

<p>
  <strong>Email:</strong>
  <%= @associate.email %>
</p>

<p>
  <strong>Cargo:</strong>
  <%= @associate.cargo %>
</p>

<p>
  <strong>Saldo:</strong>
  <%= @associate.saldo %>
</p>

<%= link_to 'Edit', edit_associate_path(@associate) %> |
<%= link_to 'Back', associates_path %>